<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_3e09962b663b985bf8" . "c260ac2e95edc0" => base64_decode("Y29y" . "ZQ=="));




class Util
{
    
    
    
    
    
    
    
    
    public static function fill(WritableConfig $config, string $key, $value)
    {
        static::fillMany($config, [$key => $value]);
    }
    
    
    
    
    
    
    
    public static function fillMany(WritableConfig $config, array $values)
    {
        foreach ($values as $key => $value) {
            if (!$config->has($key)) {
                $config->set($key, $value);
            }
        }
    }
    
    
    
    
    
    
    
    public static function isCoreConfig(string $name) : bool
    {
        return $name === $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3e09962b663b985bf8c260ac2" . "e95edc0"];
    }
}